Bug 1919906 (CVE-2020-0432)

Summary: CVE-2020-0432 kernel: possible out of bounds write in skb_to_mamac of networking.c
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: acaringi, adscvr, airlied, alciregi, bhu, blc, bmasney, brdeoliv, bskeggs, chwhite, dhoward, dvlasenk, esammons, fhrbata, hdegoede, hkrzesin, iboverma, itamar, jarodwilson, jeremy, jforbes, jglisse, jlelli, jonathan, josef, jross, jshortt, jstancek, jwboyer, kcarcia, kernel-maint, kernel-mgr, lgoncalv, linville, masami256, mchehab, mcressma, mlangsdo, nmurray, ptalbert, qzhao, rt-maint, rvrbovsk, steved, walters, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel in the skb_to_mamac function of networking.c where there is a possible out of bounds write due to an integer overflow. This could lead to local escalation of privilege with no additional execution privileges needed. User interaction is not needed for exploitation.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-01-28 14:41:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1919909    
Bug Blocks: 1919908    

Description Dhananjay Arunesh 2021-01-25 11:44:12 UTC
In skb_to_mamac of networking.c, there is a possible out of bounds write due to
an integer overflow. This could lead to local escalation of privilege with no
additional execution privileges needed. User interaction is not needed for
exploitation.Product.

References:
https://android.googlesource.com/kernel/common/+/d66184791ec81952256d1486e29378b0178bee23
https://source.android.com/security/bulletin/pixel/2020-09-01

Comment 1 Dhananjay Arunesh 2021-01-25 11:46:10 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1919909]

Comment 2 Justin M. Forbes 2021-01-25 17:32:54 UTC
This does not impact Fedora as we do not enable staging drivers.

Comment 3 Product Security DevOps Team 2021-01-28 14:41:42 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-0432